libgdamm: Gnome::Gda::SqlExpr Class Reference

libgdamm 4.99.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Related Functions
Gnome::Gda::SqlExpr Class Reference

This contains any expression, either as a value, a variable, or as other types of expressions. More...

Collaboration diagram for Gnome::Gda::SqlExpr:
[legend]

List of all members.

## Public Member Functions
| SqlExpr ()
| SqlExpr (GdaSqlExpr* gobject, bool make_a_copy=true)
| SqlExpr (const SqlExpr& other)
SqlExpr& | operator= (const SqlExpr& other)
| ~SqlExpr ()
void | swap (SqlExpr& other)
GdaSqlExpr* | gobj ()
| Provides access to the underlying C instance.
const GdaSqlExpr* | gobj () const
| Provides access to the underlying C instance.
GdaSqlExpr* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.
| SqlExpr (GdaSqlAnyPart* parent)
bool | empty () const
serialize () const
| Creates a new string representing a field.
## Protected Attributes
GdaSqlExpr* | gobject_
## Related Functions
(Note that these are not member functions.)
void | swap (SqlExpr& lhs, SqlExpr& rhs)
Gnome::Gda::SqlExpr | wrap (GdaSqlExpr* object, bool take_copy=false)
| A

## Detailed Description

This contains any expression, either as a value, a variable, or as other types of expressions.

## Constructor & Destructor Documentation

Gnome::Gda::SqlExpr::SqlExpr | ( |  | ) |

Gnome::Gda::SqlExpr::SqlExpr | ( | GdaSqlExpr * | gobject,
|  | bool | make_a_copy = `true`
| ) |  | `[explicit]`

Gnome::Gda::SqlExpr::SqlExpr | ( | const SqlExpr& | other | ) |

Gnome::Gda::SqlExpr::~SqlExpr | ( |  | ) |

Gnome::Gda::SqlExpr::SqlExpr | ( | GdaSqlAnyPart * | parent | ) | `[explicit]`

## Member Function Documentation

bool Gnome::Gda::SqlExpr::empty | ( |  | ) | const

GdaSqlExpr* Gnome::Gda::SqlExpr::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C instance.

const GdaSqlExpr* Gnome::Gda::SqlExpr::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C instance.

GdaSqlExpr* Gnome::Gda::SqlExpr::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.

SqlExpr& Gnome::Gda::SqlExpr::operator= | ( | const SqlExpr& | other | ) |

Glib::ustring Gnome::Gda::SqlExpr::serialize | ( |  | ) | const

Creates a new string representing a field.

You need to free the returned string using Glib::free();

Returns:
  A new string with the name of the field or "null" in case expr is invalid.

void Gnome::Gda::SqlExpr::swap | ( | SqlExpr& | other | ) |

## Friends And Related Function Documentation

void swap | ( | SqlExpr& | lhs,
|  | SqlExpr& | rhs
| ) |  | `[related]`

Parameters:

  lhs | The left-hand side
  rhs | The right-hand side

Gnome::Gda::SqlExpr wrap | ( | GdaSqlExpr * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

## Member Data Documentation

GdaSqlExpr* Gnome::Gda::SqlExpr::gobject_`[protected]`

The documentation for this class was generated from the following file:

- libgdamm/sqlexpr.h